<?php

/**
 * acta_inicio_estado actions.
 *
 * @package    radicacionVirtualCuentas
 * @subpackage acta_inicio_estado
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 23810 2009-11-12 11:07:44Z Kris.Wallsmith $
 */
class testDocumentsActions extends sfActions {

    /**
     * 
     * @param sfWebRequest $request
     */
    public function executeList(sfWebRequest $request) {

        $documents = array();
        // Traemos los contratos
        $sql = <<<EOD
select * from RVC_CONTRATO
EOD;
                    //Ejecutar SQL
        $records = CN_TABLE::executeSQL($sql);
        // Recorremos los contratos validando el documento adjunto_contrato
        foreach($records as $record) {
            $filename = $record['adjunto_contrato'];
            if($filename != null){
                // $ruta_base = getcwd() . "/../../../radicacionvirtualcuentasphp/web/uploads/adj_contrato/";
                $ruta_base = getcwd() . "/uploads/adj_contrato/";
                if(!file_exists($ruta_base.$filename)){
                    $registro = array(
                        "ruta_documento" => $ruta_base.$filename,
                        "id_contrato" => $record['id_contrato'],
                        "num_contrato" => $record['num_contrato'],
                        "adjunto_contrato" => $record['adjunto_contrato']                            
                    );
                    array_push($documents,$registro);
                }
            }
        }

        $status = 0;
        $response = $documents;
        $this->status = 0;
        $this->list_data = $response;
        $this->logMessage("[testDocuments] Exitoso");

    }

}
